##!/usr/bin/env bash

OBSIDIAN_PATH="/home/user/Documents/t0xa_vault"
_1_DAYS_AGO=$(date -d "now - 1 days" +'%Y-%m-%d')
_2_DAYS_AGO=$(date -d "now - 2 days" +'%Y-%m-%d')
_3_DAYS_AGO=$(date -d "now - 3 days" +'%Y-%m-%d')
_4_DAYS_AGO=$(date -d "now - 4 days" +'%Y-%m-%d')
_5_DAYS_AGO=$(date -d "now - 5 days" +'%Y-%m-%d')
_6_DAYS_AGO=$(date -d "now - 6 days" +'%Y-%m-%d')
_7_DAYS_AGO=$(date -d "now - 7 days" +'%Y-%m-%d')
GREP_STRING="$_1_DAYS_AGO|$_2_DAYS_AGO|$_3_DAYS_AGO|$_4_DAYS_AGO|$_5_DAYS_AGO|$_6_DAYS_AGO|$_7_DAYS_AGO"

grep -rEl "\| ($GREP_STRING)" $OBSIDIAN_PATH | sed 's|.*/||' | sort -u


